
Foreman - Feature #3650

Listing possible values of compute attributes

11/14/2013 02:51 PM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2657

  

Description

API does not provide any way how to list possible values of compute attributes such as flavors and available zones in case of ec2.

When creating a new host via the cli the only way how to find the possible values is to go to the ui and check it there. It would be

handy to offer the information also via the api.

Related issues:

Related to Foreman - Bug #3649: Hosts need validations of compute attributes New

Has duplicate Hammer CLI - Feature #11600: compute attributes values such fla... Duplicate 08/28/2015

Blocks Hammer CLI - Feature #3651: Provide a way of listing possible compute ... Closed

Associated revisions

Revision e669d488 - 09/11/2015 06:06 PM - Michael Alves Lobo

Fixes #3650, #11600 - Compute Resource availability_zones, flavors, security_groups API v2 endpoints

History

#1 - 11/14/2013 02:56 PM - Dominic Cleal

- Related to Bug #3649: Hosts need validations of compute attributes added

#2 - 11/14/2013 02:56 PM - Dominic Cleal

- Tracker changed from Bug to Feature

#3 - 11/14/2013 02:57 PM - Dominic Cleal

- Blocks Feature #3651: Provide a way of listing possible compute attribute values added

#4 - 08/28/2015 09:31 AM - Dominic Cleal

- Has duplicate Feature #11600: compute attributes values such flavors , available zones, security groups added

#5 - 09/01/2015 09:17 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2657 added

#6 - 09/11/2015 07:01 PM - Michael Alves Lobo

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e669d488e86301166a8f18de5d5f9eb0fd7bc386.

#7 - 09/14/2015 03:06 AM - Dominic Cleal

- translation missing: en.field_release set to 63
